package org.ts.ddcs.DataItemTemplate;


import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

/**
 * FC
 * 1小时内5分钟间隔相对水位8
 */
@SuppressWarnings("all")
public class DataItemTemplateDRZ8 extends DataItemTemplate{
    @Override
    public byte[] Stream(byte[] data) {
        byte[] remain = data;
        if(this.macth){
            return remain;
        }
        String flag = BytesHelp.byte2HexStr(remain,0,1);
        if(flag.equals(this.feture)){
            byte[] len =  BytesHelp.subBytes(remain, 1, 1);
            //int dataTotalLen = len[0]>>3;
            //int decimalLen = len[0]&7;
            byte[] drz = BytesHelp.subBytes(remain,2,24);

            remain =  BytesHelp.subBytes(remain, 26, remain.length-(26));
            this.macth=true;
        }
        return remain;
    }
}
